## org.eclipse.datatools.sqltools.sqleditor
Interface EditorConstants

public interface EditorConstants

This interface defines all public constants for the SQL Editor plug-in.

Author:
  Hui Cao

Field Summary
`static java.lang.String` `DATA_SOURCE_EXPLORER` Data source explorer view id
`static java.lang.String` `LOG_VIEW` Error Log view id
`static java.lang.String` `PORTABILITY_MARKER_TYPE` Marker type contant for SQL portability targets.
`static java.lang.String` `RESULTS_VIEW` Results view id
`static int` `SQL_SHORT_DESC_LENGTH` The length of SQL statement short description
`static java.lang.String` `SYNTAX_MARKER_TYPE` Marker type contant for SQL syntax errors.

Field Detail

### PORTABILITY_MARKER_TYPE

    public static final java.lang.String PORTABILITY_MARKER_TYPE

  Marker type contant for SQL portability targets.

### SYNTAX_MARKER_TYPE

    public static final java.lang.String SYNTAX_MARKER_TYPE

  Marker type contant for SQL syntax errors.

### DATA_SOURCE_EXPLORER

    public static final java.lang.String DATA_SOURCE_EXPLORER

  Data source explorer view id

  See Also:
    Constant Field Values

### RESULTS_VIEW

    public static final java.lang.String RESULTS_VIEW

  Results view id

  See Also:
    Constant Field Values

### LOG_VIEW

    public static final java.lang.String LOG_VIEW

  Error Log view id

  See Also:
    Constant Field Values

### SQL_SHORT_DESC_LENGTH

    public static final int SQL_SHORT_DESC_LENGTH

  The length of SQL statement short description

  See Also:
    Constant Field Values

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.